
/* *** chipdata.c ***********************************************************
 *
 * File IO Suite  --  Chip Memory Data Declarations
 *     from Book 1 of the Amiga Programmers' Suite by RJ Mical
 *
 * Copyright (C) 1986, 1987, Robert J. Mical
 * All Rights Reserved.
 *
 * Created for Amiga developers.
 * Any or all of this code can be used in any program as long as this
 * entire copyright notice is retained, ok?
 *
 * The Amiga Programmer's Suite Book 1 is copyrighted but freely distributable.
 * All copyright notices and all file headers must be retained intact.
 * The Amiga Programmer's Suite Book 1 may be compiled and assembled, and the 
 * resultant object code may be included in any software product.  However, no 
 * portion of the source listings or documentation of the Amiga Programmer's 
 * Suite Book 1 may be distributed or sold for profit or in a for-profit 
 * product without the written authorization of the author, RJ Mical.
 * 
 * HISTORY      NAME            DESCRIPTION
 * -----------  --------------  --------------------------------------------
 * 4 Feb 87     RJ              Real release
 * 12 Aug 86    RJ >:-{)*       Prepare (clean house) for release
 * 3 May 86     =RJ Mical=      Fix prop gadget for both 1.1 and 1.2
 * 1 Feb 86     =RJ Mical=      Created this file.
 *
 * *********************************************************************** */


#include <prosuite/prosuite.h>
#include <prosuite/pointers.h>


/* === WaitPointer Imagery =============================================== */
USHORT WBenchWaitPointer[(WBENCHPOINT_HEIGHT * 2) + 4] =
	{
	0x0000, 0x0000,

	0x6700, 0xC700,
	0xCFA0, 0xCFA0,
	0xBFF0, 0x3FF0,
	0x70F8, 0x7FF8,
	0x7DFC, 0x7FFC,
	0xFBFC, 0xFFFC,
	0x70FC, 0x7FFC,
	0x7FFE, 0x7FFE,
	0x7F0E, 0x7FFE,
	0x3FDF, 0x3FFF,
	0x7FBE, 0x7FFE,
	0x3F0E, 0x3FFE,
	0x1FFC, 0x1FFC,
	0x07F8, 0x07F8,
	0x01E0, 0x01E0,
	0x0780, 0x0780,
	0x0FE0, 0x0FE0,
	0x0740, 0x0740,
	0x0000, 0x0000,
	0x0070, 0x0070,
	0x0078, 0x0078,
	0x0030, 0x0030,

	0x0000, 0x0000,
	};

USHORT ElecArtsWaitPointer[(ELECARTSPOINT_HEIGHT * 2) + 4] =
	{
	0x0000, 0x0000,

	0x6700, 0xC000,
	0xCFA0, 0xC700,
	0xBFF0, 0x0FA0,
	0x70F8, 0x3FF0,
	0x7DFC, 0x3FF8,
	0xFBFC, 0x7FF8,
	0x70FC, 0x3FF8,
	0x7FFE, 0x3FFC,
	0x7F0E, 0x3FFC,
	0x3FDF, 0x1FFE,
	0x7FBE, 0x3FFC,
	0x3F0E, 0x1FFC,
	0x1FFC, 0x07F8,
	0x07F8, 0x01E0,
	0x01E0, 0x0080,
	0x07C0, 0x0340,
	0x0FE0, 0x07C0,
	0x0740, 0x0200,
	0x0000, 0x0000,
	0x0070, 0x0020,
	0x0078, 0x0038,
	0x0038, 0x0010,

	0x0000, 0x0000,
	};

USHORT GCraftWaitPointer[(GCRAFTPOINT_HEIGHT * 2) + 4] =
	{
	0x0000, 0x0000,

	0x7C00, 0x0000,
	0x4400, 0x0000,
	0x7C00, 0x0000,
	0x4000, 0x0000,
	0x4000, 0x0000,
	0x0000, 0x0000,
	0x4022, 0x0000,
	0x4022, 0x0000,
	0x402A, 0x0000,
	0x402A, 0x0000,
	0x7C36, 0x0000,
	0x0000, 0x0000,
	0x7C3E, 0x0000,
	0x4022, 0x0000,
	0x783E, 0x0000,
	0x4022, 0x0000,
	0x7C22, 0x0000,
	0x0000, 0x0000,
	0x7C08, 0x0000,
	0x4408, 0x0000,
	0x7C08, 0x0000,
	0x4408, 0x0000,
	0x4408, 0x0000,
	0x0000, 0x0000,
	0x7C3E, 0x0000,
	0x4008, 0x0000,
	0x7C08, 0x0000,
	0x0408, 0x0000,
	0x7C08, 0x0000,
	0x0000, 0x0000,
	0x7C00, 0x0000,
	0x4000, 0x0000,
	0x7800, 0x0000,
	0x4000, 0x0000,
	0x7C00, 0x0000,

	0x0000, 0x0000,
	};



